Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class NewPooledConnection

    java.lang.Object
      com.mchange.v2.c3p0.impl.NewPooledConnection

All Implemented Interfaces:
  com.mchange.v1.util.ClosableResource, javax.sql.PooledConnection

    public final class NewPooledConnection

extends java.lang.Object

Constructor Summary
`NewPooledConnection(java.sql.Connection con, ConnectionTester connectionTester, boolean autoCommitOnClose, boolean forceIgnoreUnresolvedTransactions, java.lang.String preferredTestQuery, ConnectionCustomizer cc, java.lang.String pdsIdt)`

Method Summary
`void` | `addConnectionEventListener(javax.sql.ConnectionEventListener cel)`
`void` | `close()`
`void` | `closeAll()`
`java.sql.Connection` | `getConnection()`
`int` | `getConnectionStatus()`
`GooGooStatementCache` | `getStatementCache()`
`void` | `initStatementCache(GooGooStatementCache scache)`
`void` | `printConnectionListeners()`
`void` | `removeConnectionEventListener(javax.sql.ConnectionEventListener cel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewPooledConnection

    public NewPooledConnection(java.sql.Connection con,
                               ConnectionTester connectionTester,
                               boolean autoCommitOnClose,
                               boolean forceIgnoreUnresolvedTransactions,
                               java.lang.String preferredTestQuery,
                               ConnectionCustomizer cc,
                               java.lang.String pdsIdt)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getConnectionStatus

    public int getConnectionStatus()

### closeAll

    public void closeAll()
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### addConnectionEventListener

    public void addConnectionEventListener(javax.sql.ConnectionEventListener cel)

### removeConnectionEventListener

    public void removeConnectionEventListener(javax.sql.ConnectionEventListener cel)

### printConnectionListeners

    public void printConnectionListeners()

### initStatementCache

    public void initStatementCache(GooGooStatementCache scache)

### getStatementCache

    public GooGooStatementCache getStatementCache()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD